summaryrefslogtreecommitdiff
path: root/t/ax
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-22 15:59:06 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-22 15:59:06 +0200
commit8d7108702485dca61841a642202b892f8038e15c (patch)
tree5216e87c58fa0de75634d2d69ff2f5011fd0c877 /t/ax
parent4d56c0f3b5973e386c3e5f0fb2367d2fff00bf71 (diff)
parent15996acc36367acf3a653eea6e1fbec03b00a964 (diff)
downloadautomake-8d7108702485dca61841a642202b892f8038e15c.tar.gz
Merge branch 'micro' into maint
* micro: tests: remove some code duplication cosmetics: remove a couple of extra whitespaces in tests tests: two minor fixups
Diffstat (limited to 't/ax')
-rw-r--r--t/ax/am-test-lib.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/t/ax/am-test-lib.sh b/t/ax/am-test-lib.sh
index 5c918db40..542bbb52b 100644
--- a/t/ax/am-test-lib.sh
+++ b/t/ax/am-test-lib.sh
@@ -373,6 +373,7 @@ grep_configure_help ()
$EGREP "$2" am--our-help || exit 1
}
+
# using_gmake
# -----------
# Return success if $MAKE is GNU make, return failure otherwise.
@@ -483,6 +484,37 @@ am__useless_vpath_rebuild=""
yl_distcheck () { useless_vpath_rebuild || run_make distcheck ${1+"$@"}; }
+
+null_install ()
+{
+ for am__v in nulldirs destdir instdir; do
+ if ! eval 'test -n "$'$am__v'"'; then
+ fatal_ "null_install() invoked with \$$am__v unset"
+ fi
+ done
+ unset am__v
+ case $#,$1 in
+ 0,)
+ am__inst='install';;
+ 1,-t|1,--texi)
+ am__inst='install install-html install-dvi install-ps install-pdf';;
+ *)
+ fatal_ "null_install(): invalid usage";;
+ esac
+ run_make $nulldirs $am__inst
+ test ! -e "$instdir"
+ run_make $nulldirs $am__inst DESTDIR="$destdir"
+ test ! -e "$instdir"
+ test ! -e "$destdir"
+ run_make -M $nulldirs uninstall
+ # Creative quoting below to please maintainer-check.
+ grep 'rm'' ' output && exit 1
+ run_make -M $nulldirs uninstall DESTDIR="$destdir"
+ # Creative quoting below to please maintainer-check.
+ grep 'rm'' ' output && exit 1
+ : # For 'set -e'.
+}
+
# count_test_results total=N pass=N fail=N xpass=N xfail=N skip=N error=N
# -----------------------------------------------------------------------
# Check that a testsuite run driven by the parallel-tests harness has